<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Name: Medicine Entry Content Module
Description: Template CDA Material (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449">
   <title>Medicine Entry Content Module</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial"
         id="d115e618-false-d1528e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@classCode)=('MMAT') or not(@classCode)">(MedicineEntryContentModule): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(MedicineEntryContentModule): Der Wert von @determinerCode MUSS 'KIND' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'][not(@nullFlavor)])&gt;=1">(MedicineEntryContentModule): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'][not(@nullFlavor)])&lt;=1">(MedicineEntryContentModule): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:code)&gt;=1">(MedicineEntryContentModule): Element hl7:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:code)&lt;=1">(MedicineEntryContentModule): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:name)&gt;=1">(MedicineEntryContentModule): Element hl7:name ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:name)&lt;=1">(MedicineEntryContentModule): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:lotNumberText)&lt;=1">(MedicineEntryContentModule): Element hl7:lotNumberText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'][not(@nullFlavor)]
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'][not(@nullFlavor)]"
         id="d115e624-false-d1615e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.9.1.3.1') or not(@root)">(MedicineEntryContentModule): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.9.1.3.1' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MedicineEntryContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:code
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:code"
         id="d115e631-false-d1636e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:originalText)&lt;=1">(MedicineEntryContentModule): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:code/hl7:originalText
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:code/hl7:originalText"
         id="d115e635-false-d1659e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:reference)&gt;=1">(MedicineEntryContentModule): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(hl7:reference)&lt;=1">(MedicineEntryContentModule): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:code/hl7:originalText/hl7:reference
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:code/hl7:originalText/hl7:reference"
         id="d115e637-false-d1685e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@nullFlavor)=('NA') or not(@nullFlavor)">(MedicineEntryContentModule): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(MedicineEntryContentModule): Attribute @nullFlavor MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:name
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:name"
         id="d115e644-false-d1706e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@nullFlavor)=('NA') or not(@nullFlavor)">(MedicineEntryContentModule): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(MedicineEntryContentModule): Attribute @nullFlavor MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:formCode
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:formCode"
         id="d115e652-false-d1727e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:lotNumberText
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/hl7:lotNumberText"
         id="d115e657-false-d1741e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:expirationTime
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:expirationTime"
         id="d115e662-false-d1755e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="@value">(MedicineEntryContentModule): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent"
         id="d115e669-false-d1773e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@classCode)=('CONT')">(MedicineEntryContentModule): Der Wert von @classCode MUSS 'CONT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1">(MedicineEntryContentModule): Element pharm:containerPackagedMedicine ist required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine"
         id="d115e675-false-d1796e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@classCode)=('CONT')">(MedicineEntryContentModule): Der Wert von @classCode MUSS 'CONT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@determinerCode)=('INSTANCE')">(MedicineEntryContentModule): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="not(pharm:capacityQuantity) or pharm:formCode">(MedicineEntryContentModule): pharm:formCode SHALL be present if pharm:asSuperContent present</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:formCode)&lt;=1">(MedicineEntryContentModule): Element pharm:formCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)])&gt;=1">(MedicineEntryContentModule): Element pharm:capacityQuantity[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)])&lt;=1">(MedicineEntryContentModule): Element pharm:capacityQuantity[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:code
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:name
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:formCode
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity[not(@nullFlavor)]
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity[not(@nullFlavor)]"
         id="d115e691-false-d1886e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="$digitok or @nullFlavor">(MedicineEntryContentModule): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MedicineEntryContentModule): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(MedicineEntryContentModule): Attribute @unit MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="@value">(MedicineEntryContentModule): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent"
         id="d115e698-false-d1914e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1">(MedicineEntryContentModule): Element pharm:containerPackagedMedicine ist required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine"
         id="d115e700-false-d1934e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@classCode)=('CONT')">(MedicineEntryContentModule): Der Wert von @classCode MUSS 'CONT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@determinerCode)=('INSTANCE')">(MedicineEntryContentModule): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)])&gt;=1">(MedicineEntryContentModule): Element pharm:capacityQuantity[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)])&lt;=1">(MedicineEntryContentModule): Element pharm:capacityQuantity[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine/pharm:capacityQuantity[not(@nullFlavor)]
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine/pharm:capacityQuantity[not(@nullFlavor)]"
         id="d115e706-false-d1964e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicineEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="$digitok or @nullFlavor">(MedicineEntryContentModule): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MedicineEntryContentModule): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(MedicineEntryContentModule): Attribute @unit MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="@value">(MedicineEntryContentModule): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asSpecializedKind
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asSpecializedKind"
         id="d115e717-false-d1992e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@classCode)=('GRIC')">(MedicineEntryContentModule): Der Wert von @classCode MUSS 'GRIC' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asSpecializedKind/pharm:generalizedMedicineClass
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asSpecializedKind/pharm:generalizedMedicineClass"
         id="d115e723-false-d2012e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@classCode)=('MMAT')">(MedicineEntryContentModule): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:code)&gt;=1">(MedicineEntryContentModule): Element pharm:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:code)&lt;=1">(MedicineEntryContentModule): Element pharm:code kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asSpecializedKind/pharm:generalizedMedicineClass/pharm:code
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:asSpecializedKind/pharm:generalizedMedicineClass/pharm:name
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient"
         id="d115e733-false-d2066e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@classCode)=('ACTI')">(MedicineEntryContentModule): Der Wert von @classCode MUSS 'ACTI' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:quantity)&lt;=1">(MedicineEntryContentModule): Element pharm:quantity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity"
         id="d115e739-false-d2095e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:numerator)&lt;=1">(MedicineEntryContentModule): Element pharm:numerator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:denominator)&lt;=1">(MedicineEntryContentModule): Element pharm:denominator kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/pharm:numerator
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/pharm:denominator
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient
Item: (MedicineEntryContentModule)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient"
         id="d115e746-false-d2146e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@classCode)=('MMAT')">(MedicineEntryContentModule): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="string(@determinerCode)=('KIND')">(MedicineEntryContentModule): Der Wert von @determinerCode MUSS 'KIND' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:code)&lt;=1">(MedicineEntryContentModule): Element pharm:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:name)&gt;=1">(MedicineEntryContentModule): Element pharm:name ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160919T200923/tmp-1.3.6.1.4.1.19376.1.9.1.3.1-2016-01-08T130449.html"
              test="count(pharm:name)&lt;=1">(MedicineEntryContentModule): Element pharm:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:code
Item: (MedicineEntryContentModule)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.1
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:name
Item: (MedicineEntryContentModule)
-->
</pattern>
